[arch-commits] Commit in python-openmdao/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Fri Aug 7 20:32:55 UTC 2020


    Date: Friday, August 7, 2020 @ 20:32:55
  Author: felixonmars
Revision: 671744

archrelease: copy trunk to community-any

Added:
  python-openmdao/repos/community-any/PKGBUILD
    (from rev 671743, python-openmdao/trunk/PKGBUILD)
Deleted:
  python-openmdao/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   76 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 38 insertions(+), 38 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-08-07 20:32:50 UTC (rev 671743)
+++ PKGBUILD	2020-08-07 20:32:55 UTC (rev 671744)
@@ -1,38 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=python-openmdao
-pkgver=3.2.0
-pkgrel=1
-pkgdesc="An open-source high-performance computing platform"
-url="https://github.com/OpenMDAO/OpenMDAO"
-license=('Apache')
-arch=('any')
-depends=('python-six' 'python-numpydoc' 'python-scipy' 'python-sqlitedict' 'python-pycodestyle'
-         'python-pydocstyle' 'python-testflo' 'python-parameterized' 'python-pyparsing'
-         'python-networkx' 'python-sphinx' 'python-redbaron' 'python-mock' 'python-requests-mock'
-         'python-tornado' 'python-pydoe2')
-checkdepends=('python-mpi4py')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/OpenMDAO/OpenMDAO/archive/$pkgver.tar.gz")
-sha512sums=('5fe401de4099f50069583176caddb7974581ec61f597d54eda1674485139aa22c78beed962fe514f7c271c58027a32f36d40cc7433d8575a3f4d9e1b2e2fe2fe')
-
-prepare() {
-  cd OpenMDAO-$pkgver
-  sed -e 's/from distutils.core/from setuptools/' \
-      -e 's/==/>=/' \
-      -i setup.py
-}
-
-build() {
-  cd OpenMDAO-$pkgver
-  python setup.py build
-}
-
-check() {
-  cd OpenMDAO-$pkgver
-  PYTHONPATH="$PWD/build/lib" testflo -n 16 --timeout=120 openmdao || warning "Tests failed"
-}
-
-package() {
-  cd OpenMDAO-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}

Copied: python-openmdao/repos/community-any/PKGBUILD (from rev 671743, python-openmdao/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-08-07 20:32:55 UTC (rev 671744)
@@ -0,0 +1,38 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-openmdao
+pkgver=3.2.1
+pkgrel=1
+pkgdesc="An open-source high-performance computing platform"
+url="https://github.com/OpenMDAO/OpenMDAO"
+license=('Apache')
+arch=('any')
+depends=('python-six' 'python-numpydoc' 'python-scipy' 'python-sqlitedict' 'python-pycodestyle'
+         'python-pydocstyle' 'python-testflo' 'python-parameterized' 'python-pyparsing'
+         'python-networkx' 'python-sphinx' 'python-redbaron' 'python-mock' 'python-requests-mock'
+         'python-tornado' 'python-pydoe2')
+checkdepends=('python-mpi4py')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/OpenMDAO/OpenMDAO/archive/$pkgver.tar.gz")
+sha512sums=('4a4eb87a07a26156cac0a73976c7107404f2b7e282305f173d062a04388b428cfc680b4bb0b9b4d980c482e73c7fca8d37ce6a548248db009dc087179c2ca38c')
+
+prepare() {
+  cd OpenMDAO-$pkgver
+  sed -e 's/from distutils.core/from setuptools/' \
+      -e 's/==/>=/' \
+      -i setup.py
+}
+
+build() {
+  cd OpenMDAO-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd OpenMDAO-$pkgver
+  PYTHONPATH="$PWD/build/lib" testflo -n 16 --timeout=120 openmdao || warning "Tests failed"
+}
+
+package() {
+  cd OpenMDAO-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}


More information about the arch-commits mailing list